Bug 10023

Summary: openntpd не справляется со своими обязанностями
Product: [Development] Sisyphus Reporter: Andrei Bulava <abulava@altlinux.org>
Component: openntpdAssignee: evseev <evseev@altlinux.org>
Status: CLOSED FIXED QA Contact: qa-sisyphus@altlinux.org
Severity: major    
Priority: P2 CC: glebfm@altlinux.org, ldv@altlinux.org
Version: unstable   
Hardware: all   
OS: Linux   
URL: http://lists.altlinux.com/pipermail/sisyphus/2006-September/086829.html

Description From 2006-09-20 19:21:53
Подробности - по URL, пути решения - там же. Резюмируя: openntpd без поддержки
adjtimex(2) - это не сервер точного времени, и на роль замены ntpd он попросту
не имеет права претендовать.

По сравнению с письмом по URL, отправленным в Ср Сен 20 11:26:48 MSD 2006, к
этому моменту опережение системных часов на моём комьютере - уже порядка 13
секунд.
------- Comment #1 From 2007-01-22 17:31:48 -------
adjtimex patch of dtucker is applied to build 3.9p1-alt3.
------- Comment #2 From 2008-04-14 16:42:45 -------
(In reply to comment #1)
> adjtimex patch of dtucker is applied to build 3.9p1-alt3.

Похоже, что эффекта никакого. Сейчас опережение на моем компьютере -- 30 сек.
Приходится останавливать сервис, корректировать время спомощью ntpdate и
повторно запускать сервис.
Вывод: 
1. Перед запуском сервиса ntpd было бы хорошо провести коррекцию времени с
помощью ntpdate, как это сделано в пакете ntpd.
2. В requires самого пакета необходимо прописать adjtimex и ntpdate (если будет
дополнен моим замечанием).